org.apache.sysds.runtime.codegen

## Class CodegenUtils

- java.lang.Object
- - org.apache.sysds.runtime.codegen.CodegenUtils

    public class CodegenUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CodegenUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clearClassCache()`
`static void` `clearClassCache(Class<?> cla)`
`static Class<?>` `compileClass(String name, String src)`
`static SpoofOperator` `createInstance(Class<?> cla)`
`static SpoofOperator.SideInput` `createSideInput(MatrixBlock in)`
`static Class<?>` `getClass(String name)`
`static Class<?>` `getClass(String name, byte[] classBytes)`
`static byte[]` `getClassData(String name)`
`static Class<?>` `getClassSync(String name, byte[] classBytes)`
`static Integer` `getCUDAopID(String name)`
`static boolean` `isNumeric(String str)` Extension of org.apache.commons.lang.StringUtils to account for negatives and decimals.
`static String` `printWithLineNumber(String src)`
`static void` `putCUDAOpID(String name, int id)`
`static void` `putCUDASource(int id, String src)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodegenUtils

    public CodegenUtils()

### Method Detail

#### compileClass

    public static Class<?> compileClass(String name,
                                        String src)

#### getClass

    public static Class<?> getClass(String name)

#### getClassSync

    public static Class<?> getClassSync(String name,
                                        byte[] classBytes)

#### getClass

    public static Class<?> getClass(String name,
                                    byte[] classBytes)

#### getClassData

    public static byte[] getClassData(String name)

#### clearClassCache

    public static void clearClassCache()

#### clearClassCache

    public static void clearClassCache(Class<?> cla)

#### createInstance

    public static SpoofOperator createInstance(Class<?> cla)

#### getCUDAopID

    public static Integer getCUDAopID(String name)

#### putCUDAOpID

    public static void putCUDAOpID(String name,
                                   int id)

#### putCUDASource

    public static void putCUDASource(int id,
                                     String src)

#### createSideInput

    public static SpoofOperator.SideInput createSideInput(MatrixBlock in)

#### isNumeric

    public static boolean isNumeric(String str)

Extension of org.apache.commons.lang.StringUtils to account for negatives and decimals.

Parameters:
  `str` - the String to check, may be null
Returns:
  `true` if only contains digits,-,., and is non-null

#### printWithLineNumber

    public static String printWithLineNumber(String src)